FileDownloadEvent (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.event

## Class FileDownloadEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<FileDownloadEventHandler>
    - - org.gcube.portlets.user.messages.client.event.FileDownloadEvent

-     public class FileDownloadEvent
      extends com.google.gwt.event.shared.GwtEvent<FileDownloadEventHandler>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileDownloadEvent.DownloadType`

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<FileDownloadEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDownloadEvent(String itemIdentifier, String name, FileDownloadEvent.DownloadType downloadType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FileDownloadEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<FileDownloadEventHandler>` | `getAssociatedType()`
    `FileDownloadEvent.DownloadType` | `getDownloadType()`
    `String` | `getDownloadTypeToString()`
    `String` | `getItemIdentifier()`
    `String` | `getItemName()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<FileDownloadEventHandler> TYPE

  - ### Constructor Detail

    - #### FileDownloadEvent

          public FileDownloadEvent(String itemIdentifier,
                           String name,
                           FileDownloadEvent.DownloadType downloadType)

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<FileDownloadEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<FileDownloadEventHandler>`

    - #### dispatch

          protected void dispatch(FileDownloadEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<FileDownloadEventHandler>`

    - #### getDownloadTypeToString

          public String getDownloadTypeToString()

    - #### getDownloadType

          public FileDownloadEvent.DownloadType getDownloadType()

    - #### getItemIdentifier

          public String getItemIdentifier()

    - #### getItemName

          public String getItemName()

Copyright © 2014. All Rights Reserved.